Package net.shibboleth.idp.authn

# Interface CredentialValidator.WarningHandler

All Known Implementing Classes:
  `ValidateCredentials`

Enclosing interface:
  CredentialValidator

@ThreadSafe public static interface CredentialValidator.WarningHandler
Interface to use to report warnings to the caller.

## Method Summary

Modifier and Type
Method
Description
`void`
`handleWarning(ProfileRequestContext profileRequestContext, AuthenticationContext authenticationContext, String message, String eventId)`
Reports a warning state to the caller.

## Method Details

### handleWarning

void handleWarning(@Nonnull ProfileRequestContext profileRequestContext, @Nonnull AuthenticationContext authenticationContext, @Nullable String message, @Nonnull @NotEmpty String eventId)
Reports a warning state to the caller.

Warnings are an indication that authentication may have succeeded but with some information worth capturing.

Parameters:
  `profileRequestContext` - the current profile request context
  `authenticationContext` - the current authentication context
  `message` - to report
  `eventId` - a default webflow event to report as the result of the calling action